if "%1" == "" goto explain
if "%1" == "?" goto explain
if "%2" == ""  goto explain1
cls
comp %1\*.*                %2\*.*            |more 
pause
cls
comp %1\version1\*.*       %2\version1\*.*   |more 
pause
cls
comp %1\version1\smnr1\*.* %2\version1\smnr1 |more
pause
cls
comp %1\version1\smnr2\*.* %2\version1\smnr2 |more 
pause
cls
comp %1\version1\smnr3\*.* %2\version1\smnr3 |more 
pause
cls
comp %1\version1\smnr4\*.* %2\version1\smnr4 |more 
pause
cls
comp %1\version1\smnr5\*.* %2\version1\smnr5 |more 
pause
cls
comp %1\version1\smnr6\*.* %2\version1\smnr6 |more 
pause
cls
comp %1\version1\smnr7\*.* %2\version1\smnr7 |more 
pause
cls
comp %1\version1\smnr8\*.* %2\version1\smnr8 |more 
goto end
:explain
@echo off
cls
echo This file is for the convenience of disk distributors who wish to
echo modify the TCN package either by re-zipping it or by using a canned
echo install routine instead of INSTALL.BAT.
echo.
pause
cls
echo To see what a good compare looks like: 
echo.
echo   1.  Install the TCN package in two separate directories 
echo       using INSTALL.BAT.
echo.
echo   2.  Run MODCOMP.BAT with two options.  Use the first TCN install
echo       drive and path for the first option.  Use the second TCN install
echo       drive and path for the second option.
echo.
echo   3.  A screen full of prompts indicating which files are being compared
echo       should appear.  Below each prompt, the message "Files compare ok"
echo       should appear.  Other messages indicate an error.
echo.
echo   4.  Each time the "Compare more files (Y/N) ?" prompt appears, type N
echo       and press ENTER.  The batch file compares the filesets in the next
echo       corresponding directories.
echo.
pause
cls
echo The real test is conducted as follows:
echo.
echo    1.  Install the TCN package in a test directory using the files 
echo        TCNSTALL.EXE or INSTALL.BAT distributed by TCNbP Company.
echo.
echo    2.  Install the TCN package in a separate directory using your
echo        re-zipped files or canned install program.
echo.
echo    3.  Before running either copy, run MODCOMP.BAT with two options.
echo        Use the first TCN install drive and path for the first option.
echo        Use the second TCN install drive and path for the second option.
echo.
echo.   4.  If only the messages "Files compare ok", "Press any key" and 
echo        "Compare more files (Y/N) ?" appear, your modifications are ok.
echo.
pause
cls
echo NOTE:  For best results, when using MODCOMP.BAT, compare the installed
echo version of your un-zipped files to the same file set you re-zipped.
echo Ensure that neither file set has been run before using MODCOMP.BAT.
echo.
echo If you follow the above note, all files should echo "Files compare ok"
echo.
echo If you get one of the following error messages (not both): 
echo "Cannot open WTP.TCN"    or    "Cannot open TUCSNA.WTP",
echo you likely failed to follow the above note.
echo.
echo If that error occurs and it is the only error you observe,
echo you can manually compare the two files with the following command
echo.
echo      COMP path1\TUCSNA.WTP  path2\WTP.TCN
echo.
echo where the corresponding install paths are substituted for path1 and path2
echo while the stuff in upper case is used verbatim.  If you get 
echo a compare ok message, everything is alright.
echo.
pause
cls
echo Output of the COMP command is piped to the MORE utitity so you can
echo leisurely review all output.  Hence, the "Press any key" messages.
echo.
echo Always respond to the "Compare more files" prompt with an N.  Let
echo the batch file enter the file specifications.
echo.
pause
cls
echo Prompts to the effect "File compare error at offset . . ." ALWAYS
echo indicate an error in your re-zipping.
echo.
echo Other than the exception noted previously, "cannot open filename"
echo prompts indicate an error in your re-zipping.
echo.
echo If you get a single "cannot open filename" message and no other
echo prompts for an entire directory, check use of subdirectory zip
echo and unzip options.
echo.
goto end
:explain1
@echo off
cls
echo Two options are required.
echo.
echo Each option is the drive and path specification for one or the other
echo of the installed packages to be compared.
echo.
echo Type MODCOMP or type MODCOMP ? for more information.
echo.
:end
