@echo off
cls
if "%1" == ""  goto explain
if "%1" == "?" goto explain1
goto hardwar1
:install
if "%2" == ""  goto install1
if "%3" == ""  goto install2
goto install3
:warning1
cls
echo WARNING!!!
echo.
echo A copy of the TCN program already exists.  If you continue, it will be
echo overwritten and any previous work you have done will be lost.
echo.
echo To avoid overwriting, use the CTRL + C key combination and then type a Y
echo according to the following instructions:
echo.
echo     1)  Press and hold the CTRL key.
echo     2)  Type the letter C.
echo     3)  Release both keys.  A prompt appears "Terminate batch job (Y/N)?"
echo     4)  Type the letter Y.
echo.
echo The DOS prompt appears.  Type TCNSTALL ? to get information about changing
echo install target drive and directory.
echo.
echo If you want to overwrite, press any other key.
echo.
pause
if not "%3" == "" goto chk3a
goto chk1a 
:install1
if exist %1:\usa\options.lxx goto warning1
if exist %1:\usa\*.* goto fail3
:chk1a
if not exist \pkunzip.exe goto chk1b
if "%2" == "" \pkunzip -o -d tcnbp1o1.zip %1:\usa
if not "%2" == "" \pkunzip -o -d tcnbp1o1.zip %1:\%2
goto pass1
:chk1b
if not exist c:\pkunzip.exe goto chk1c
cd c:\
goto zip1a
:chk1c
if not exist c:\pkzip\pkunzip.exe goto chk1d
cd c:\pkzip
goto zip1a
:chk1d
if not exist c:\pkunzip\pkunzip.exe goto chk1e
cd c:\pkunzip
goto zip1a
:chk1e
if not exist c:\pkware\pkunzip.exe goto zip1b
cd c:\pkware
:zip1a
CLS
if "%2" == "" c:pkunzip -o -d tcnbp1o1.zip %1:\usa
if not "%2" == "" c:pkunzip -o -d tcnbp1o1.zip %1:\%2
goto pass1
:zip1b
CLS
if "%2" == "" pkunzip -o -d tcnbp1o1.zip %1:\usa
if not "%2" == "" pkunzip -o -d tcnbp1o1.zip %1:\%2
if "%2" == "" if not exist %1:\usa\tucsna.wtp goto fail2
if NOT "%2" == "" if not exist %1:\%2\tucsna.wtp goto fail2
goto pass1
:fail1
cls
echo Installation was not successful.
echo.
echo You typed the following command:
echo.
echo     TCNSTALL %1 %2 %3
echo.
echo Verify the letter you specified (%1) is a valid drive.  Also, verify
echo that you did NOT type a colon after the letter.
echo.
if not "%2" == "" echo Verify the path you specified (%2) is valid.
echo.
echo Type TCNSTALL with: 
echo.
echo      a different drive letter, or 
if not "%2" == "" echo      a different path, or
echo      the ? option.
ECHO.
goto end
:fail2
echo.
echo Installation was not successful.
echo.
echo If the prompt "Bad command or file name" appears above "Installation was not
echo successful", PKUNZIP was not found.
echo.
echo If this is the case, copy PKUNZIP.EXE into the root directory of drive C:
echo and try again.
echo.
echo Otherwise, see next screen for other possible causes.
echo.
pause
goto fail1
:fail3
cls
echo Installation was not attempted.
echo.
echo The install path that you specified is already in use.
echo.
echo You typed the following command:
echo.
echo     TCNSTALL %1 %2 %3
echo.
echo Type TCNSTALL with: 
echo.
echo      a different drive letter, or 
if not "%2" == "" echo      a different path (option 2), or
if "%2" == "" echo      a path specified (other than USA) using option 2, or
echo      the ? option.
goto end
:explain
cls
echo This TCNSTALL.BAT file installs version 2.0 of the TCN program on your hard
echo drive.
echo.
echo You can also install the TCN program using PKUNZIP with the -d option.
echo.
goto hardware
:parms
echo The single REQUIRED option is the drive letter of the hard drive where you
echo want to install the TCN program.
echo.
echo Type the letter ONLY, no colon.
echo.
echo EXAMPLE 1: To install the TCN program on your C: drive, type the following
echo.
echo          TCNSTALL C
echo.
echo EXAMPLE 2:  To install the TCN program on your D: drive, type
echo.
echo          TCNSTALL D
echo.
pause
cls
echo The TCN program will be installed on the drive you specify in a directory
echo named USA.
echo.
echo You can change the directory name if you want to.
echo.
echo Type TCNSTALL ? for more information.
echo.
echo OR, type TCNSTALL followed by a drive letter to get started.
echo.
goto end.
:explain1
echo One option is REQUIRED to use this TCNSTALL.BAT file.
echo.
echo Up to two additional options can be used.
echo.
echo Option(s) are typed on the command line with the TCNSTALL command.  A space
echo must precede each option.
echo.
pause
cls
echo The first option (REQUIRED) is a drive letter.
echo.
echo The drive specified must: 
echo.
echo     1) exist on your computer,
echo     2) not be write protected,
echo     3) not be a CD-ROM (read-only) drive, and
echo     4) have at least 1 megabyte of available space.
echo.
echo Do not type a colon or a backslash with the letter.
echo.
pause
cls
echo The 2nd option (not REQUIRED) specifies the name of the directory in which
echo to install the TCN program.
echo.
echo The default install directory name is USA.
echo.
echo You can specify any valid directory name including USA.
echo.
echo Do not use a colon or a leading backslash.
echo.
echo EXAMPLE 1:  To install the TCN program on drive C in a directory named TCN
echo type
echo.
echo          TCNSTALL C TCN
echo.
echo EXAMPLE 2.  To install the TCN program on drive D in a directory named
echo MYTCN, type
echo.
echo           TCNSTALL D MYTCN
echo.
pause
cls
echo The third option (not REQUIRED) allows you to tell the TCNSTALL.BAT file
echo where to find PKUNZIP on your computer.
echo.
echo If you do not use the third option, PKUNZIP must be in one of the 
echo following places on your computer:
echo.
echo     1.  Same drive and directory as TCNSTALL.BAT
echo     2.  Root directory of drive C:
echo     3.  Directory named \PKZIP, \PKUNZIP, or \PKWARE on drive C:
echo     4.  Path statement in your AUTOEXEC.BAT file
echo.
echo If you do not know what this means, don't worry.  Prompts will appear to
echo let you know if TCNSTALL.BAT found PKUNZIP.
echo.
echo If you know that PKUNZIP is not in any of these places, you can 
echo.
echo     1.  Copy it to any ONE of those places
echo     2.  Add it to a path statement
echo     3.  Use the 3rd option to tell TCNSTALL where to find it.
echo.
goto end
:install2
if exist %1:\%2\options.lxx goto warning1
if exist %1:\%2\*.* goto fail3
goto chk1a
:install3
if exist %1:\%2\options.lxx goto warning1
if exist %1:\%2\*.* goto fail3
:chk3a
if not exist %3\pkunzip.exe goto chk3b
CLS
%3\pkunzip -o -d tcnbp1o1.zip %1:\%2
goto pass1
:chk3b
cls
echo Installation FAILED.
echo.
echo You typed the following command:
echo.
echo     TCNSTALL %1 %2 %3
echo.
echo PKUNZIP was not found on the path you specified (%3)
echo.
echo To remedy this error
echo.
echo     1)  Verify path information, or
echo     2)  Omit trailing slash if used, or
echo     3)  Copy PKUNZIP.EXE into the root directory of your C drive and try
echo         again without the 3rd option.
echo.
goto end
:hardware
pause
:hardwar1
cls
echo This batch file installs the TCN program on your hard drive.
echo.
echo To work, it must be located in the same directory with the TCN
echo program .ZIP file TCNBP1O1.ZIP.
echo.
echo The install directory can be the same as the directory that
echo contains the .ZIP file(s), or it can be a different directory.
echo.
pause
cls
echo SOFTWARE REQUIREMENTS
echo.
echo In order to use this batch file, you must have PKUNZIP.EXE
echo available somewhere on your computer.
echo.
echo You can temporarily copy PKUNZIP.EXE to the root directory of
echo your C: drive to install the TCN program.
echo.
echo Type TCNSTALL ? for more information about the location of
echo PKUNZIP.EXE.
echo.
pause
cls
echo HARDWARE REQUIREMENTS
echo.
echo To install and evaluate the TCN program, you must have at least one 
echo megabyte of space available on the target hard drive.  More is better.
echo.
echo Also, your computer must have at least 640K RAM.  At least 500 K of
echo conventional RAM must be available at the DOS prompt.  Use DOS command
echo MEM or CHKDSK to find out how much conventional RAM is available.
echo.
echo DOS 6 users can use MemMaker to free up more space if needed.
echo.
echo To evaluate available RAM now, press and hold the CTRL key, type the 
echo letter C, release both keys, and then type a Y.  If so, you are returned 
echo to DOS to use MEM or CHKDSK.  Any other key continues installation.
echo.
pause
cls
if "%1" == "" goto parms
goto install
:pass1
if "%2" == "" if not exist %1:\usa\tucsna.wtp goto fail1
if NOT "%2" == "" if not exist %1:\%2\tucsna.wtp goto fail1
cls
echo Installation was SUCCESSFUL.
echo.
echo To start the TCN program:
echo.
echo     1)  Type %1: 
echo     2)  Press ENTER.
if "%2" == "" goto step3a
echo     3)  Type CD \%2
if exist %1:\%2\wtp.tcn del %1:\%2\wtp.tcn
rename %1:\%2\tucsna.wtp wtp.tcn
goto step4
:step3a
echo     3)  Type CD \USA
if exist %1:\usa\wtp.tcn del %1:\usa\wtp.tcn 
rename %1:\usa\tucsna.wtp wtp.tcn
:step4
echo     4)  Press ENTER.
echo     5)  Type TCN
echo     6)  Press ENTER
echo.
echo NOTE:  For snappier execution of the TCN program, MS-DOS users try the
echo following command before starting the TCN program:
echo.
echo EMM386 AUTO
echo.
echo See your MS-DOS manual for more information.
echo.
:end
